/*
 * keyb4x4-ioctl.h
 *
 *  Created on: 22.6.2011
 *      Author: emlin
 */

#ifndef KEYB4X4_IOCTL_H_
#define KEYB4X4_IOCTL_H_

#include <linux/ioctl.h>

/*
 * zvolem si pokud mozno unikatni cislo, tzn. magic number ktere neni
 * v Documentation/ioctl/ioctl-number.txt
 */
#define KEYB4X4_MAGIC_NO		0xE0

/*
 * seznam prikazu:
 *  KEYB4X4_CLEAR_BUF - smaze bufer sejmutych klaves
 */
#define KEYB4X4_CLEAR_BUF		_IO(KEYB4X4_MAGIC_NO, 0)

/*
 * Nejvyssi poradove cislo prikazu - pouze ke kontrolnim ucelum v ovladaci.
 * POZOR !!! Nezapomen aktualizovat po pridani noveho prikazu
 */
#define KEYB4X4_MAX_CMD_NR		0

#endif /* DSKEL_IOCTL_H_ */
